#ifndef _CMDLINE_H
#define _CMDLINE_H

/*
 *  cmdline.h: Copyright 2003-2004 Phil Whineray
 *
 *  This file is part of x70talk.
 *
 *  x70talk is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  x70talk is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with x70talk; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * The structure filled in by the command line handling routines
 */
struct arguments {
  int   debug;
  int   verbose;
  int   command;
  char *file_or_id;
  char *output_file;
  char *device_name;
  int  phone_folder;
  int  entry_number;
  char *name_first;
  char *name_last;
  char *number_home;
  char *number_work;
  char *number_mobile;
  char *email_home;
};

/*
 * These are the commands which can be set
 */
#define COMMAND_LIST     1
#define COMMAND_PUT      2
#define COMMAND_GET      3
#define COMMAND_INFO     4
#define COMMAND_DELETE   5
#define COMMAND_READ     7
#define COMMAND_WRITE    8
#define COMMAND_CLEAR    9
#define COMMAND_IMPORT  10
#define COMMAND_SETTIME 11

/*
 * parse_commandline will exit immediately if there is a command line
 * error.
 */
void parse_commandline(int argc, char *argv[], struct arguments *args);

#endif
