/*
 *  error.c: Copyright 2003-2004 Phil Whineray
 *
 *  This file is part of x70talk.
 *
 *  x70talk is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  x70talk is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with x70talk; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * translate phone function return codes into messages in style of
 * perror() and friends
 */

#include "phone.h"

const char *phone_error(int error_code)
{
  switch (error_code) {
    case SERIAL_TIMEOUT:            return "timeout";
    case SERIAL_SHORT_WRITE:        return "short write";
    case SERIAL_BAD_PARAMETER:      return "bad parameter";
    case PHONE_INIT_FAILED:         return "initialisaiton failed";
    case PHONE_TYPE_FAILED:         return "unexpected phone type";
    case PHONE_UNEXPECTED_RESPONSE: return "unexpected response";
    case PHONE_FILE_OPEN:           return "unable to open file";
    case PHONE_NO_SUCH_ENTRY:       return "no such entry";
    case PHONE_CHECKSUM:            return "checksum failed during transfer";
    case PHONE_SIZE_MISMATCH:       return "line size mismatch during download";
    case PHONE_NO_SPACE_LEFT:       return "no space left";
    case AT_MEMORY_ERROR:           return "out of memory";
    case AT_RESPONSE_TOO_BIG:       return "response too big";
    case AT_ERROR:                  return "error";
    case AT_MORE:                   return "more information expected";
  }
  return "unknown error code (check error.c)";
}
